.page-main {

  .slider {
    height: 85vh;
    margin-top: -50px;
    overflow: hidden;

    @include respond-to(mobile) {
      margin-top: 0;
      height: 100%;

      .slick-list {
        height: 50vh !important;
      }

      .slick-track {
        height: 100%;
      }
    }

    @include respond-to(laptop) {
      height: 100vh;
    }

    @include respond-to(desktop) {
      height: 100vh;
    }

    @include respond-to(mac) {
      height: 85vh;
    }

    &-item {
      width: 100%;
      display: flex;
      align-items: flex-end;
      background-position: top center;
      background-repeat: no-repeat;
      background-size: cover;
      position: relative;

      @include respond-to(laptop) {
        height: 80vh;
      }
  
      @include respond-to(desktop) {
        height: 100vh;
      }
  
      @include respond-to(mac) {
        height: 85vh;
      }

      &-title {
        color: $white;
        font: 50px/70px $lato-b;
        padding-bottom: 30px;
        @include respond;
        z-index: 3;

        @include respond-to(mobile) {
          font: 20px/30px $lato-b;
        }

        &:before {
          content: '';
          width: 120px;
          height: 5px;
          display: block;
          margin-bottom: 15px;
          background: $aqua;

          @include respond-to(mobile) {
            width: 50px;
            height: 3px;
            margin-bottom: 5px;
          }
        }
      }

      &:after {
        content: '';
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top: 0; left: 0;
        z-index: 2;
        background: rgba(0,0,0, .3);
      }
    }
  }

  .about {
    background: $white;

    @include respond-to(mobile) {

      p {
        font: 16px/32px $rsl-l;
        padding: 34px 0 36px;
      }
    }

    @include respond-to(laptop) {

      p {
        font: 20px/36px $rsl-l;
        padding: 42px 70px 47px;
      }
    }

    @include respond-to(desktop) {

      p {
        font: 24px/40px $rsl-l;
        padding: 42px 110px 47px;
      }
    }
  }

  .product {
    color: $white;
    background: $black;
    padding: 64px 0 0;

    @include respond-to(mobile) {
      padding-top: 53px;
      padding-bottom: 40px;
    }

    @include respond-to(laptop) {
      padding-bottom: 50px;
    }

    @include respond-to(desktop) {
      padding-bottom: 50px;
    }

    h2 {
      color: $white;
      font: 40px/40px $lato-sb;
      text-align: center;

      @include respond-to(mobile) {
        font: 30px/30px $lato-sb;
        margin-bottom: 22px;

        span {
          border-top: 2px solid $aqua;
          padding-top: 5px;
        }
      }

      @include respond-to(mac) {
        margin-bottom: 32px;
      }

      span {
        border-top: 5px solid $aqua;
        padding-top: 5px;
      }
    }

    &-slider {
      @include respond-to(mobile) {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
      }

      @include respond-to(mac) {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
      }

      &-item {
        text-decoration: none;
        color: $white;
        display: block;
        position: relative;
        background-repeat: no-repeat;
        background-size: cover;
        box-shadow: 0 0 0 0 rgba(0,162,255,0);

        @include respond-to(mobile) {
          width: 310px;
          height: 210px;
          margin: 0 10px 20px
        }

        @include respond-to(laptop) {
          width: 300px;
          height: 200px;
          margin-bottom: 40px;
        }

        @include respond-to(desktop) {
          width: 378px;
          height: 260px;
          margin-bottom: 34px;
        }

        @include respond-to(mac) {
          &:hover {
            box-shadow: 0 20px 50px 10px rgba(0,162,255,.2);
          }
        }

        .info {
          display: flex;
          position: absolute;
          bottom: 10px; right: 0;

          p {
            height: 33px;
            font-size: 18px;
            display: flex;
            padding: 0 20px;
            align-items: center;
            position: relative;

            @include respond-to(mobile) {
              font-size: 16px;
            }

            i {
              padding-left: 3px;

              &:after {
                content: $icon-rubl-light;
                font: 12px $icon;
              }
            }
          }

          &-name {
            color: $aqua;
            background: $white;
            padding-right: 14px;

            &:after {
              content: '';
              width: 0;
              height: 0;
              border-style: solid;
              border-width: 33px 6px 0 0;
              border-color: $white transparent transparent transparent;
              position: absolute;
              top: 0; right: -6px;
              z-index: 1;
            }
          }

          &-price {
            color: $white;
            background: $aqua;
            padding-right: 12px !important;

            &:before {
              content: '';
              width: 0;
              height: 0;
              border-style: solid;
              border-width: 6px 0 0 6px;
              border-color: transparent transparent transparent #0071b2;
              position: absolute;
              top: -6px; right: -6px;

            }

            &:after {
              content: '';
              width: 0;
              height: 0;
              border-style: solid;
              border-width: 33px 6px 0 0;
              border-color: $aqua transparent transparent transparent;
              position: absolute;
              top: 0; right: -6px;
              z-index: 1;
            }
          }
        }

        &:last-child {

          @include respond-to(mobile) {

            .info {

              p {
                padding: 0 8px;
              }
            }
          }

          @include respond-to(laptop) {

            .info {

              p {
                padding: 0 8px;
              }
            }
          }
        }
      }
    }
  }

  .news {
    background: $gray-light;

    @include respond-to(mobile) {
      padding: 53px 0 40px;
    }

    @include respond-to(mac) {
      padding: 64px 0 50px;
    }

    h2 {
      color: $black;
      font: 40px/40px $lato-sb;
      text-align: center;

      @include respond-to(mobile) {
        font: 30px/30px $lato-sb;
        margin-bottom: 22px;

        span {
          border-top: 2px solid $aqua;
          padding-top: 5px;
        }
      }

      @include respond-to(mac) {
        margin-bottom: 32px;
      }

      span {
        border-top: 5px solid $aqua;
        padding-top: 5px;
      }
    }

    &-item {
      display: block;
      text-decoration: none;

      @include respond-to(mobile) {
        &:last-child {
          margin-bottom: 50px;
        }
      }

      &-img {
        width: 100%;
        overflow: hidden;
        position: relative;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;

        @include respond-to(mobile) {
          height: 30vh;
        }

        @include respond-to(laptop) {
          height: 264px;
        }

        @include respond-to(desktop) {
          height: 330px;
        }

        &:before {
          content: '';
          width: 100%;
          height: 100%;
          display: block;
          position: absolute;
          top: 0; left: 0;
          @include img-hover;
          z-index: 2;
          opacity: 0;
          @include transition;
        }
      }

      &-title {
        @include transition;

        @include respond-to(mobile) {
          font: 22px/26px $lato-r;
          padding: 19px 10px 0;
        }

        @include respond-to(mac) {
          font: 26px/36px $lato-r;
          padding: 19px 10px 0;
        }
      }

      &-date {

        @include respond-to(mobile) {
          color: $gray;
          font: 12px/22px $lato-i;
          padding: 0 10px;
        }

        @include respond-to(mac) {
          color: $gray;
          font: 14px/24px $lato-i;
          padding: 0 10px;
        }
      }

      &-text {

        p {
          @include respond-to(mobile) {
            font: 18px/26px $rsl-l;
            padding: 9px 10px 0;
          }
  
          @include respond-to(mac) {
            font: 20px/32px $rsl-l;
            padding: 9px 10px 0;
          }
        }
      }

      &:hover {

        @include respond-to(mac) {
          .news-item-img {

            &:before {
              opacity: 1;
            }
          }

          .news-item-title {
            color: $aqua;
          }
        }
      }
    }

    .container {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-gap: 40px 30px;

      @include respond-to(mobile) {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 30px 0px;
      }

      @include respond-to(mac) {
        margin-bottom: 40px;
      }
    }
  }
}
